package com.chinaitop.depot.intelligent.basicdata.service;

import com.chinaitop.depot.intelligent.basicdata.model.TWarningThreshold;
import com.chinaitop.depot.intelligent.basicdata.model.TWarningThresholdList;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WarningThresholdService {
    List<TWarningThresholdList> getList(String cfCode);

    List<TWarningThreshold> getByCfCode(String cfCode, Integer wState);

    void saveAndUpdate(List<TWarningThreshold> thresholdList);

    int deleteById(String id);

    /**
     * 根据id删除列表并删除详情数据
     *
     * @param id
     * @param vCfCode
     * @return
     */
    int deleteThreshold(String id, String vCfCode, String thresholdSetListJson);

    TWarningThreshold getByCfCodeAndwName(String cfCode, Integer wState, String wModule, String wName);

    HashMap<String, String> getByOrgIdAndCfCode(String orgId, String cfCode);

    /**
     * 根据orgId或仓房code查询测温预警,报警阀值.
     * @param orgId
     * @param vCfCode
     * @return
     */
    Map<String, Map<String, Object>> getValueByOrgIdOrCfCode(String orgId, String vCfCode);
}
